.block-buy-buttons__actions {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;

  .btn-add-to-registry {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    gap: 8px;
    padding: 11px 16px;
  }

  .btn-add-to-registry__icon {
    display: block;
    width: 20px;
    height: 20px;
    flex-shrink: 0;
    transform: translatey(-2px);
  }

  .btn-add-to-registry__icon_ok {
    color: #87c98b;
  }

  .btn-add-to-registry__icon_hidden {
    display: none;
  }

  @media screen and (max-width: 1024px) {
    .btn-add-to-registry__icon {
      width: 18px;
      height: 18px;
    }
  }

  @media screen and (max-width: 768px) {
    .btn-add-to-registry {
      padding: 9px 17px;
    }

    .btn-add-to-registry__icon {
      width: 16px;
      height: 16px;
      transform: translatey(0px);
    }
  }
}

@media screen and (max-width: 425px) {
  .block-buy-buttons__actions {
    flex-direction: column;
    gap: 10px;
  }
}
